hls-eval-plugin-2.4.0.0: Eval plugin for Haskell Language Server

Safe Haskell | Safe-Inferred
Language | Haskell2010

Ide.Plugin.Eval

Description

Eval Plugin entry point.

Synopsis

- descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState
- newtype Log = LogEvalRules Log

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

Plugin descriptor

newtype Log #

Constructors

LogEvalRules Log |

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Plugin.Eval Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Plugin.Eval Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #